import java.io.File;

public class ReadPakFilesInFolder {
    public static void main(String[] args) {
        String folderPath = "/storage/emulated/0/Android/data/com.tencent.tmgp.pubgmhd/files/UE4Game/ShadowTrackerExtra/ShadowTrackerExtra/Saved/Paks";
        File folder = new File(folderPath);
        File[] files = folder.listFiles();

        if (files != null) {
            for (File file : files) {
                if (file.isFile() && file.getName().endsWith(".pak")) {
                    System.out.println(file.getName());
                }
            }
        }
    }
}
//byLD可搬运
